# Interface methods for submodule: BilateralImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BilateralImageFilter
class BilateralImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetDomainSigma(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetDomainSigma(self, v: float) -> None:
		""""""
		...

	def GetDomainSigma(self) -> Sequence[float]:
		""""""
		...

	def SetDomainMu(self, _arg: float) -> None:
		""""""
		...

	def GetDomainMu(self) -> float:
		""""""
		...

	def SetRangeSigma(self, _arg: float) -> None:
		""""""
		...

	def GetRangeSigma(self) -> float:
		""""""
		...

	def GetFilterDimensionality(self) -> int:
		""""""
		...

	def SetFilterDimensionality(self, _arg: int) -> None:
		""""""
		...

	def AutomaticKernelSizeOn(self) -> None:
		""""""
		...

	def AutomaticKernelSizeOff(self) -> None:
		""""""
		...

	def GetAutomaticKernelSize(self) -> bool:
		""""""
		...

	def SetAutomaticKernelSize(self, _arg: bool) -> None:
		""""""
		...

	@overload
	def SetRadius(self, arg0: int) -> None:
		""""""
		...

	@overload
	def SetRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

	def SetNumberOfRangeGaussianSamples(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfRangeGaussianSamples(self) -> int:
		""""""
		...

